<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_45) on Mon Mar 14 09:25:42 GMT 2016 -->
<title>Uses of Class com.stefanomantini.solvers.objects.Vehicle</title>
<meta name="date" content="2016-03-14">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class com.stefanomantini.solvers.objects.Vehicle";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/stefanomantini/solvers/objects/class-use/Vehicle.html" target="_top">Frames</a></li>
<li><a href="Vehicle.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class com.stefanomantini.solvers.objects.Vehicle" class="title">Uses of Class<br>com.stefanomantini.solvers.objects.Vehicle</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#com.stefanomantini.solvers">com.stefanomantini.solvers</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#com.stefanomantini.solvers.alterations">com.stefanomantini.solvers.alterations</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#com.stefanomantini.solvers.objects">com.stefanomantini.solvers.objects</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#com.stefanomantini.solvers.util">com.stefanomantini.solvers.util</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#com.stefanomantini.web.rest">com.stefanomantini.web.rest</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#com.stefanomantini.web.util">com.stefanomantini.web.util</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="com.stefanomantini.solvers">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a> in <a href="../../../../../com/stefanomantini/solvers/package-summary.html">com.stefanomantini.solvers</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../com/stefanomantini/solvers/package-summary.html">com.stefanomantini.solvers</a> that return <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a></code></td>
<td class="colLast"><span class="typeNameLabel">NearestNeighbour.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/NearestNeighbour.html#nearestNeighbour-com.stefanomantini.solvers.objects.Vehicle-java.util.ArrayList-com.stefanomantini.web.util.SolverRequestObject-">nearestNeighbour</a></span>(<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&nbsp;next,
                java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;unvisited,
                <a href="../../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</code>
<div class="block">Gets the nearest neighbour to a given vehicle, 
 given the next vehicle and unvisited nodes</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a></code></td>
<td class="colLast"><span class="typeNameLabel">RepeatedNearestNeighbour.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/RepeatedNearestNeighbour.html#nearestNeighbourCalc-com.stefanomantini.solvers.objects.Vehicle-java.util.ArrayList-com.stefanomantini.web.util.SolverRequestObject-">nearestNeighbourCalc</a></span>(<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&nbsp;start,
                    java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;unvisited,
                    <a href="../../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</code>
<div class="block">Get the nearest vehicle to startnode</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a></code></td>
<td class="colLast"><span class="typeNameLabel">MorroccoTangiers.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/MorroccoTangiers.html#nissanMethod-com.stefanomantini.solvers.objects.Vehicle-java.util.ArrayList-int-com.stefanomantini.web.util.SolverRequestObject-">nissanMethod</a></span>(<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&nbsp;next,
            java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;unvisited,
            int&nbsp;radius,
            <a href="../../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</code>
<div class="block">Calculates ED between next and every other node
 orders the list by ED, and chooses randomly from 
 the shortest 3
 randomly from the 3 closest</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../com/stefanomantini/solvers/package-summary.html">com.stefanomantini.solvers</a> that return types with arguments of type <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static java.util.List&lt;java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">BruteForce.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/BruteForce.html#combinations-java.util.List-com.stefanomantini.web.util.SolverRequestObject-">combinations</a></span>(java.util.List&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;l,
            <a href="../../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</code>
<div class="block">Creates the outer list to contain permutations
 stops creation on every recursion</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.util.List&lt;java.util.List&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">BruteForce.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/BruteForce.html#step-java.util.List-int-java.util.List-">step</a></span>(java.util.List&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;l,
    int&nbsp;k,
    java.util.List&lt;java.util.List&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&gt;&nbsp;result)</code>
<div class="block">Recursive method to find every possible permutation of vehicles and
 stores the tours as an arraylist of arrays- n! permutations
 this could potentially be replaced by java8 streams</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../com/stefanomantini/solvers/package-summary.html">com.stefanomantini.solvers</a> with parameters of type <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a></code></td>
<td class="colLast"><span class="typeNameLabel">NearestNeighbour.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/NearestNeighbour.html#nearestNeighbour-com.stefanomantini.solvers.objects.Vehicle-java.util.ArrayList-com.stefanomantini.web.util.SolverRequestObject-">nearestNeighbour</a></span>(<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&nbsp;next,
                java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;unvisited,
                <a href="../../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</code>
<div class="block">Gets the nearest neighbour to a given vehicle, 
 given the next vehicle and unvisited nodes</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a></code></td>
<td class="colLast"><span class="typeNameLabel">RepeatedNearestNeighbour.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/RepeatedNearestNeighbour.html#nearestNeighbourCalc-com.stefanomantini.solvers.objects.Vehicle-java.util.ArrayList-com.stefanomantini.web.util.SolverRequestObject-">nearestNeighbourCalc</a></span>(<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&nbsp;start,
                    java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;unvisited,
                    <a href="../../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</code>
<div class="block">Get the nearest vehicle to startnode</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a></code></td>
<td class="colLast"><span class="typeNameLabel">MorroccoTangiers.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/MorroccoTangiers.html#nissanMethod-com.stefanomantini.solvers.objects.Vehicle-java.util.ArrayList-int-com.stefanomantini.web.util.SolverRequestObject-">nissanMethod</a></span>(<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&nbsp;next,
            java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;unvisited,
            int&nbsp;radius,
            <a href="../../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</code>
<div class="block">Calculates ED between next and every other node
 orders the list by ED, and chooses randomly from 
 the shortest 3
 randomly from the 3 closest</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../../com/stefanomantini/solvers/package-summary.html">com.stefanomantini.solvers</a> with type arguments of type <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a></code></td>
<td class="colLast"><span class="typeNameLabel">DivideConquer.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/DivideConquer.html#calc-java.util.ArrayList-com.stefanomantini.web.util.SolverRequestObject-">calc</a></span>(java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;vehicles,
    <a href="../../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a></code></td>
<td class="colLast"><span class="typeNameLabel">BruteForce.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/BruteForce.html#calculateBruteForce-java.util.List-com.stefanomantini.web.util.SolverRequestObject-">calculateBruteForce</a></span>(java.util.List&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;l,
                   <a href="../../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</code>
<div class="block">Brute Force main method
 generates all possible permutations of the list
 iterates through N! list of permutations and gets 
 the shortest tour
 throws an IOOB Exception on defined max</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a></code></td>
<td class="colLast"><span class="typeNameLabel">NearestNeighbour.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/NearestNeighbour.html#calculateNearestNeighbour-java.util.ArrayList-com.stefanomantini.web.util.SolverRequestObject-">calculateNearestNeighbour</a></span>(java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;unvisited,
                         <a href="../../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</code>
<div class="block">Main method, dispatches to other methods and handles 
 initial startup of a tour (finding startnode and next)</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a></code></td>
<td class="colLast"><span class="typeNameLabel">RepeatedNearestNeighbour.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/RepeatedNearestNeighbour.html#calculateRepeatedNearestNeighbour-java.util.ArrayList-com.stefanomantini.web.util.SolverRequestObject-">calculateRepeatedNearestNeighbour</a></span>(java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;unvisited,
                                 <a href="../../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</code>
<div class="block">Repeated Nearest Neighbor Algorithm: For each of the cities, 
 run the nearest neighbor algorithm with that city as the
 starting point, and choose the resulting tour with the 
 shortest total distance.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a></code></td>
<td class="colLast"><span class="typeNameLabel">SampledRepeatedNearestNeighbour.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/SampledRepeatedNearestNeighbour.html#calculateSampledRepeatedNearestNeighbour-java.util.ArrayList-com.stefanomantini.web.util.SolverRequestObject-">calculateSampledRepeatedNearestNeighbour</a></span>(java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;unvisited,
                                        <a href="../../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</code>
<div class="block">Sampled Repeated Nearest Neighbor Algorithm: use ~1/3 of the cities
 as starting point and choose the shortest from the resulting tours</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.util.List&lt;java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">BruteForce.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/BruteForce.html#combinations-java.util.List-com.stefanomantini.web.util.SolverRequestObject-">combinations</a></span>(java.util.List&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;l,
            <a href="../../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</code>
<div class="block">Creates the outer list to contain permutations
 stops creation on every recursion</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a></code></td>
<td class="colLast"><span class="typeNameLabel">MorroccoTangiers.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/MorroccoTangiers.html#getNissanTour-java.util.ArrayList-com.stefanomantini.web.util.SolverRequestObject-">getNissanTour</a></span>(java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;unvisited,
             <a href="../../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</code>
<div class="block">Uses a pre-set radius and chooses from the N nearest neighbours 
 according to the index to simulate line-of sight</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><span class="typeNameLabel">BruteForce.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/BruteForce.html#hasDuplicates-java.util.List-">hasDuplicates</a></span>(java.util.List&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;vehicles)</code>
<div class="block">Takes a list and checks for duplicates</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a></code></td>
<td class="colLast"><span class="typeNameLabel">NearestNeighbour.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/NearestNeighbour.html#nearestNeighbour-com.stefanomantini.solvers.objects.Vehicle-java.util.ArrayList-com.stefanomantini.web.util.SolverRequestObject-">nearestNeighbour</a></span>(<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&nbsp;next,
                java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;unvisited,
                <a href="../../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</code>
<div class="block">Gets the nearest neighbour to a given vehicle, 
 given the next vehicle and unvisited nodes</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a></code></td>
<td class="colLast"><span class="typeNameLabel">RepeatedNearestNeighbour.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/RepeatedNearestNeighbour.html#nearestNeighbourCalc-com.stefanomantini.solvers.objects.Vehicle-java.util.ArrayList-com.stefanomantini.web.util.SolverRequestObject-">nearestNeighbourCalc</a></span>(<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&nbsp;start,
                    java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;unvisited,
                    <a href="../../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</code>
<div class="block">Get the nearest vehicle to startnode</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a></code></td>
<td class="colLast"><span class="typeNameLabel">RepeatedNearestNeighbour.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/RepeatedNearestNeighbour.html#nearestNeighbourHelper-java.util.ArrayList-java.util.ArrayList-com.stefanomantini.web.util.SolverRequestObject-">nearestNeighbourHelper</a></span>(java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;visited,
                      java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;unvisited,
                      <a href="../../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</code>
<div class="block">Get nearest NeighbourHeper</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a></code></td>
<td class="colLast"><span class="typeNameLabel">RepeatedNearestNeighbour.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/RepeatedNearestNeighbour.html#nearestNeighbourHelper-java.util.ArrayList-java.util.ArrayList-com.stefanomantini.web.util.SolverRequestObject-">nearestNeighbourHelper</a></span>(java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;visited,
                      java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;unvisited,
                      <a href="../../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</code>
<div class="block">Get nearest NeighbourHeper</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a></code></td>
<td class="colLast"><span class="typeNameLabel">MorroccoTangiers.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/MorroccoTangiers.html#nissanMethod-com.stefanomantini.solvers.objects.Vehicle-java.util.ArrayList-int-com.stefanomantini.web.util.SolverRequestObject-">nissanMethod</a></span>(<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&nbsp;next,
            java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;unvisited,
            int&nbsp;radius,
            <a href="../../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</code>
<div class="block">Calculates ED between next and every other node
 orders the list by ED, and chooses randomly from 
 the shortest 3
 randomly from the 3 closest</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.util.List&lt;java.util.List&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">BruteForce.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/BruteForce.html#step-java.util.List-int-java.util.List-">step</a></span>(java.util.List&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;l,
    int&nbsp;k,
    java.util.List&lt;java.util.List&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&gt;&nbsp;result)</code>
<div class="block">Recursive method to find every possible permutation of vehicles and
 stores the tours as an arraylist of arrays- n! permutations
 this could potentially be replaced by java8 streams</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.util.List&lt;java.util.List&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">BruteForce.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/BruteForce.html#step-java.util.List-int-java.util.List-">step</a></span>(java.util.List&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;l,
    int&nbsp;k,
    java.util.List&lt;java.util.List&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&gt;&nbsp;result)</code>
<div class="block">Recursive method to find every possible permutation of vehicles and
 stores the tours as an arraylist of arrays- n! permutations
 this could potentially be replaced by java8 streams</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="com.stefanomantini.solvers.alterations">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a> in <a href="../../../../../com/stefanomantini/solvers/alterations/package-summary.html">com.stefanomantini.solvers.alterations</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../com/stefanomantini/solvers/alterations/package-summary.html">com.stefanomantini.solvers.alterations</a> that return types with arguments of type <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private static java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">SegmentReverse.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/alterations/SegmentReverse.html#reversed-java.util.ArrayList-int-int-">reversed</a></span>(java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;preAlteredTour,
        int&nbsp;start,
        int&nbsp;end)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Reverse a tour between two points and return the amended tour list</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../../com/stefanomantini/solvers/alterations/package-summary.html">com.stefanomantini.solvers.alterations</a> with type arguments of type <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/util/Coord.html" title="class in com.stefanomantini.solvers.util">Coord</a>&lt;?,?&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">SegmentReverse.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/alterations/SegmentReverse.html#allSegments-java.util.ArrayList-">allSegments</a></span>(java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;tour)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Generate all segments as start, end pairs</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">SegmentReverse.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/alterations/SegmentReverse.html#reversed-java.util.ArrayList-int-int-">reversed</a></span>(java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;preAlteredTour,
        int&nbsp;start,
        int&nbsp;end)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Reverse a tour between two points and return the amended tour list</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="com.stefanomantini.solvers.objects">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a> in <a href="../../../../../com/stefanomantini/solvers/objects/package-summary.html">com.stefanomantini.solvers.objects</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../com/stefanomantini/solvers/objects/package-summary.html">com.stefanomantini.solvers.objects</a> declared as <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a></code></td>
<td class="colLast"><span class="typeNameLabel">Edge.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/objects/Edge.html#endNode">endNode</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a></code></td>
<td class="colLast"><span class="typeNameLabel">Edge.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/objects/Edge.html#startNode">startNode</a></span></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../com/stefanomantini/solvers/objects/package-summary.html">com.stefanomantini.solvers.objects</a> with type parameters of type <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Tour.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/objects/Tour.html#vehicles">vehicles</a></span></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../com/stefanomantini/solvers/objects/package-summary.html">com.stefanomantini.solvers.objects</a> that return <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a></code></td>
<td class="colLast"><span class="typeNameLabel">Edge.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/objects/Edge.html#getEndNode--">getEndNode</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a></code></td>
<td class="colLast"><span class="typeNameLabel">Edge.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/objects/Edge.html#getStartNode--">getStartNode</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../com/stefanomantini/solvers/objects/package-summary.html">com.stefanomantini.solvers.objects</a> that return types with arguments of type <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Tour.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/objects/Tour.html#getVehicles--">getVehicles</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../com/stefanomantini/solvers/objects/package-summary.html">com.stefanomantini.solvers.objects</a> with parameters of type <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Edge.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/objects/Edge.html#setEndNode-com.stefanomantini.solvers.objects.Vehicle-">setEndNode</a></span>(<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&nbsp;endNode)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Edge.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/objects/Edge.html#setStartNode-com.stefanomantini.solvers.objects.Vehicle-">setStartNode</a></span>(<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&nbsp;startNode)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../../com/stefanomantini/solvers/objects/package-summary.html">com.stefanomantini.solvers.objects</a> with type arguments of type <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../com/stefanomantini/solvers/objects/Tour.html" title="class in com.stefanomantini.solvers.objects">Tour</a></code></td>
<td class="colLast"><span class="typeNameLabel">Tour.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/objects/Tour.html#populateTour-java.util.ArrayList-">populateTour</a></span>(java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;vehicles)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Tour.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/objects/Tour.html#setVehicles-java.util.ArrayList-">setVehicles</a></span>(java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;vehicles)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../com/stefanomantini/solvers/objects/package-summary.html">com.stefanomantini.solvers.objects</a> with parameters of type <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/objects/Edge.html#Edge-com.stefanomantini.solvers.objects.Vehicle-com.stefanomantini.solvers.objects.Vehicle-double-">Edge</a></span>(<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&nbsp;startNode,
    <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&nbsp;endNode,
    double&nbsp;euclidianDistance)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructor parameters in <a href="../../../../../com/stefanomantini/solvers/objects/package-summary.html">com.stefanomantini.solvers.objects</a> with type arguments of type <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/objects/Tour.html#Tour-java.util.List-double-">Tour</a></span>(java.util.List&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;perm,
    double&nbsp;totalEuclideanDistance)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="com.stefanomantini.solvers.util">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a> in <a href="../../../../../com/stefanomantini/solvers/util/package-summary.html">com.stefanomantini.solvers.util</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../com/stefanomantini/solvers/util/package-summary.html">com.stefanomantini.solvers.util</a> that return types with arguments of type <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static &lt;E&gt;&nbsp;java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">TestData.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/util/TestData.html#generateFromSample-int-">generateFromSample</a></span>(int&nbsp;nSample)</code>
<div class="block">Generates given set of Vehicle Objects with
 preset invariants and Parking Coordinates</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">TestData.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/util/TestData.html#generateSeededRandom-int-">generateSeededRandom</a></span>(int&nbsp;nVehicles)</code>
<div class="block">Uses a seed to generate a pseudorandom tour</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">TestData.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/util/TestData.html#generateVehicles-int-">generateVehicles</a></span>(int&nbsp;nVehicles)</code>
<div class="block">Generates Vehicle Objects with true random
 Invariants and Parking Coordinates</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">TestData.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/util/TestData.html#getFromFile-java.lang.String-">getFromFile</a></span>(java.lang.String&nbsp;fileName)</code>
<div class="block">parses a preset file format for TSP tours and converts to 
 objects with pickup and dropoff points file[1]+file[2]= Vehicle 1</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">TestData.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/util/TestData.html#getFromNissanTxt--">getFromNissanTxt</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../com/stefanomantini/solvers/util/package-summary.html">com.stefanomantini.solvers.util</a> with parameters of type <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><span class="typeNameLabel">EuclidianDistance.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/util/EuclidianDistance.html#calcPairFromRequest-com.stefanomantini.solvers.objects.Vehicle-com.stefanomantini.solvers.objects.Vehicle-com.stefanomantini.web.util.SolverRequestObject-">calcPairFromRequest</a></span>(<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&nbsp;a,
                   <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&nbsp;b,
                   <a href="../../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</code>
<div class="block">Helper function dispatches to other ED pair methods based on request</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><span class="typeNameLabel">EuclidianDistance.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/util/EuclidianDistance.html#eDistanceCalcPair-com.stefanomantini.solvers.objects.Vehicle-com.stefanomantini.solvers.objects.Vehicle-">eDistanceCalcPair</a></span>(<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&nbsp;a,
                 <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&nbsp;b)</code>
<div class="block">Gets full ED for a single edge between two vehicles 
 taking into account pickup and dropoff and treating 
 it as a single edge</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><span class="typeNameLabel">EuclidianDistance.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/util/EuclidianDistance.html#eDistanceCalcPairStartOnly-com.stefanomantini.solvers.objects.Vehicle-com.stefanomantini.solvers.objects.Vehicle-">eDistanceCalcPairStartOnly</a></span>(<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&nbsp;a,
                          <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&nbsp;b)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;&nbsp;</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><span class="typeNameLabel">EuclidianDistance.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/util/EuclidianDistance.html#weightedEDCalc-com.stefanomantini.solvers.objects.Vehicle-com.stefanomantini.solvers.objects.Vehicle-int-">weightedEDCalc</a></span>(<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&nbsp;a,
              <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&nbsp;b,
              int&nbsp;walkWeight)</code>
<div class="block">Weighted ED calc for a pair of vehicles</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../../com/stefanomantini/solvers/util/package-summary.html">com.stefanomantini.solvers.util</a> with type arguments of type <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.Double</code></td>
<td class="colLast"><span class="typeNameLabel">EuclidianDistance.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/util/EuclidianDistance.html#calcCollectionFromRequest-java.util.ArrayList-com.stefanomantini.web.util.SolverRequestObject-">calcCollectionFromRequest</a></span>(java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;tour,
                         <a href="../../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</code>
<div class="block">Helper function dispatches to other ED calc collection methods based on request</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">VehicleListComparator.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/util/VehicleListComparator.html#compare-java.util.ArrayList-java.util.ArrayList-">compare</a></span>(java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;o1,
       java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;o2)</code>
<div class="block">Compares two lists of vehicles  
 calculated ED on-the-fly</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">VehicleListComparator.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/util/VehicleListComparator.html#compare-java.util.ArrayList-java.util.ArrayList-">compare</a></span>(java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;o1,
       java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;o2)</code>
<div class="block">Compares two lists of vehicles  
 calculated ED on-the-fly</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.Double</code></td>
<td class="colLast"><span class="typeNameLabel">EuclidianDistance.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/util/EuclidianDistance.html#fullEDCalcforCollection-java.util.ArrayList-">fullEDCalcforCollection</a></span>(java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;tour)</code>
<div class="block">Full ED calculation collection</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.Double</code></td>
<td class="colLast"><span class="typeNameLabel">EuclidianDistance.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/util/EuclidianDistance.html#partEDCalcforCollection-java.util.ArrayList-">partEDCalcforCollection</a></span>(java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;tour)</code>
<div class="block">Part ED calc for collection</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.Double</code></td>
<td class="colLast"><span class="typeNameLabel">EuclidianDistance.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/solvers/util/EuclidianDistance.html#weightedEDCalcforCollection-java.util.ArrayList-com.stefanomantini.web.util.SolverRequestObject-">weightedEDCalcforCollection</a></span>(java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;tour,
                           <a href="../../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;response)</code>
<div class="block">Weighted ED calc for collection</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="com.stefanomantini.web.rest">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a> in <a href="../../../../../com/stefanomantini/web/rest/package-summary.html">com.stefanomantini.web.rest</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../com/stefanomantini/web/rest/package-summary.html">com.stefanomantini.web.rest</a> that return types with arguments of type <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>org.springframework.http.ResponseEntity&lt;java.util.Collection&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">DataGenerationController.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/web/rest/DataGenerationController.html#getMonaSample-int-javax.servlet.http.HttpServletResponse-">getMonaSample</a></span>(int&nbsp;nVehicles,
             javax.servlet.http.HttpServletResponse&nbsp;response)</code>
<div class="block">Generates from a well-known TSP problem text file on the server (WARN: 100,000 nodes)</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>org.springframework.http.ResponseEntity&lt;java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">DataGenerationController.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/web/rest/DataGenerationController.html#getNSampleVehicles-int-javax.servlet.http.HttpServletResponse-">getNSampleVehicles</a></span>(int&nbsp;nVehicles,
                  javax.servlet.http.HttpServletResponse&nbsp;response)</code>
<div class="block">Generates nVehicle vehicles from a seeded pseudorandom set</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>org.springframework.http.ResponseEntity&lt;java.util.Collection&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">DataGenerationController.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/web/rest/DataGenerationController.html#getNVehicles-int-javax.servlet.http.HttpServletResponse-">getNVehicles</a></span>(int&nbsp;nVehicles,
            javax.servlet.http.HttpServletResponse&nbsp;response)</code>
<div class="block">Generates nVehicle vehicles from a true random set</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>org.springframework.http.ResponseEntity&lt;java.util.Collection&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">DataGenerationController.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/web/rest/DataGenerationController.html#getSampleVehicles-int-javax.servlet.http.HttpServletResponse-">getSampleVehicles</a></span>(int&nbsp;nVehicles,
                 javax.servlet.http.HttpServletResponse&nbsp;response)</code>
<div class="block">Generates nVehicle vehicles from a hardcoded set (MAX15)</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="com.stefanomantini.web.util">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a> in <a href="../../../../../com/stefanomantini/web/util/package-summary.html">com.stefanomantini.web.util</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../com/stefanomantini/web/util/package-summary.html">com.stefanomantini.web.util</a> with type parameters of type <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">SolverRequestObject.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/web/util/SolverRequestObject.html#vehicles">vehicles</a></span></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../com/stefanomantini/web/util/package-summary.html">com.stefanomantini.web.util</a> that return types with arguments of type <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">SolverRequestObject.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/web/util/SolverRequestObject.html#getVehicles--">getVehicles</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../../com/stefanomantini/web/util/package-summary.html">com.stefanomantini.web.util</a> with type arguments of type <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">SolverRequestObject.</span><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/web/util/SolverRequestObject.html#setVehicles-java.util.ArrayList-">setVehicles</a></span>(java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;vehicles)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructor parameters in <a href="../../../../../com/stefanomantini/web/util/package-summary.html">com.stefanomantini.web.util</a> with type arguments of type <a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/stefanomantini/web/util/SolverRequestObject.html#SolverRequestObject-java.lang.String-java.lang.String-java.lang.String-int-int-java.lang.String-java.util.ArrayList-">SolverRequestObject</a></span>(java.lang.String&nbsp;solver,
                   java.lang.String&nbsp;calc,
                   java.lang.String&nbsp;sampleType,
                   int&nbsp;nVehicles,
                   int&nbsp;walkWeight,
                   java.lang.String&nbsp;alterTour,
                   java.util.ArrayList&lt;<a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;vehicles)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/stefanomantini/solvers/objects/class-use/Vehicle.html" target="_top">Frames</a></li>
<li><a href="Vehicle.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
